Patch version
1 min
PATCH
https://api.cms.optimizely.com/v1/content/{key}/versions/{version}
keystringThe key of the content item that should be patched.
versionstringThe version of the content item that should be patched.
acceptstringGenerated from available response content types
cms-skip-validationarray<p>Indicates which content validation rules should be bypassed. Supported values are '*' (skip all validations), 'data' (skip data validation), and 'references' (skip reference validation). Values can be combined, empty or duplicated values are ignored, and any unknown values result in a validation error. Use with caution as this may allow creation of invalid content that could cause issues in production.</p>
Preferarray<p>Indicates client preference for the response content as per IETF RFC7240. Currently only supports 'return=representation' which can be used to indicate a preference to receive a representation of the resource that has been altered in the response.</p>
If-Matchstring<p>If provided, the PATCH request will only be considered if the value matches the RFC7232 ETag of the current resource. Weak ETags will always be ignored.</p>
If-Unmodified-Sincestring<http-date><p>If provided, the PATCH request will only be considered if the resource has not been modified since the provided date. This parameter will be ignored if an 'If-Match' parameter is also provided.</p>
200OK
204No Content
400Bad Request
401Unauthorized
403Forbidden
404Not Found
412Precondition Failed
429Too Many Requests
500Internal Server Error
curl --request PATCH \
--url https://api.cms.optimizely.com/v1/content/{key}/versions/{version} \
--header 'accept: application/json'